/* Drawing a magnet */

/* Loading some parameters */

StpAngl=StpAngl/360*2*3.14159;

Mag1R = 4;	// Mag1R = Magnet1 Diameter in meters.

Mag1PX = 0;	// Mag1PX, Mag1PY, Mag1PZ = Center Magnet1 Position in meters.
Mag1PY = 0;
Mag1PZ = 0;

DBMagnts = 0.5;	// DBMagnts = Distance Between Magnets in meters.

Mag2R = 2;		// Mag2R = Magnet2 Diameter in meters.

Mag2PX = (Mag1R + Mag2R + DBMagnts)* Cos(StpAngl);		// Mag2PX, Mag2PY, Mag2PZ = Center Magnet2 Postion in meters.
Mag2PY = (Mag1R + Mag2R + DBMagnts)* Sin(StpAngl);
Mag2PZ = 0;		// Be carfull for non overlap magnets.


AirR = Mag1R + Mag2R * 6;	/* Air Zone Dimensions in meters */

NumDiv = 5;	/* Number of Divisions, more divisions more mesh desity */

CML = Mag1R/NumDiv;		/* Computation of Charasteristic Mesh Length */

/* Points */
/* Magnet 1 */
Point(1)={Mag1PX,Mag1PY,Mag1PZ,CML};
Point(2)={Mag1R+Mag1PX,Mag1PY,Mag1PZ,CML};
Point(3)={Mag1PX,-Mag1R+Mag1PY,Mag1PZ,CML};
Point(4)={-Mag1R+Mag1PX,Mag1PY,Mag1PZ,CML};
Point(5)={Mag1PX,Mag1R+Mag1PY,Mag1PZ,CML};

/* Magnet 2 */
Point(6)={Mag2PX,Mag2PY,Mag2PZ,CML};
Point(7)={Mag2R+Mag2PX,Mag2PY,Mag2PZ,CML};
Point(8)={Mag2PX,-Mag2R+Mag2PY,Mag2PZ,CML};
Point(9)={-Mag2R+Mag2PX,Mag2PY,Mag2PZ,CML};
Point(10)={Mag2PX,Mag2R+Mag2PY,Mag2PZ,CML};


/* AirZone Points */
Point(100)={0,0,0,CML};
Point(101)={0,AirR,0,CML};
Point(102)={AirR,0,0,CML};
Point(103)={0,-AirR,0,CML};
Point(104)={-AirR,0,0,CML};


/* Cercles for Disc Magnets */
/* Magnet1 */
Circle(23)={2,1,3};
Circle(34)={3,1,4};
Circle(45)={4,1,5};
Circle(52)={5,1,2};

/* Magnet2 */
Circle(78)={7,6,8};
Circle(89)={8,6,9};
Circle(910)={9,6,10};
Circle(107)={10,6,7};


/* Air */
Circle(101102)={101,100,102};
Circle(102103)={102,100,103};
Circle(103104)={103,100,104};
Circle(104101)={104,100,101};

/* Surfaces */
/* Magnet1 */
Line Loop(100)={23,34,45,52};
Plane Surface(100)={100};
Physical Surface(100)={100};


/* Magnet2 */
Line Loop(110)={78,89,910,107};
Plane Surface(110)={110};
Physical Surface(110)={110};


/* Air */
Line Loop(200)={101102,102103,103104,104101};
Plane Surface(200)={200,100,110};	/* Air - Magnet1 - Magnet2 */
Physical Surface(200)={200};

