@ECHO OFF
REM Animation test in Gmsh DetDP
REM 
REM Coded by Sebastian Jardi Estadella
REM mailto:sje@tinet.org
REM http://www.tinet.org/~sje/index_en.htm
REM

rem Delete List from previous simulations
	If EXIST phi.lst del phi.lst
	If EXIST b_phi.lst del b_phi.lst
	If EXIST h_phi.lst del h_phi.lst

rem for %%I in (0,90,180,270) do (
for %%I in (0,45,90,135,180,225,270,315) do (
rem for %%I in (0,30,60,90,120,150,180,210,240,270,300,330) do (
rem for %%I in (0,20,40,60,80,100,120,140,160,180,200,220,240,260,280,300,320,340) do (
rem for %%I in (0,10,20,30,40,50,60,70,80,90) do (
rem for %%I in (0,5,10,15,20,25,30,35,40,45,50,55,60,65,70,75,80,85,90) do (

	ECHO.
	ECHO Creating Step Geometry File.
	ECHO.
	ECHO StpAngl=%%I;	
	ECHO.
	ECHO StpAngl=%%I; > stp%%I.geo
	COPY stp%%I.geo+Rot2DDiscMagnets.geo /B
	
	ECHO.
	ECHO Gmsh is Generating 2D Mesh, Please Wait.
	gmsh stp%%I.geo -2 -o stp%%I.msh
	ECHO.
	ECHO Done
	
	ECHO.
	ECHO. Creating Step Problem File.
rem Modify Problem file for each step here if required.	
	COPY Rot2DDiscMagnets.pro stp%%I.pro
		
	ECHO.
	ECHO GetDP is Solving the Step Problem. Please Wait.
	getdp stp%%I -pre MagSta_phi -cal -pos phi

rem Rename PostProcessing files to prevent overwriting data in the next step

	If EXIST b_phi%%I.pos del b_phi%%I.pos
	If EXIST b_phi.pos rename b_phi.pos b_phi%%I.pos
	ECHO Include "b_phi%%I.pos"; >> b_phi.lst
	
	If EXIST h_phi%%I.pos del h_phi%%I.pos
	If EXIST h_phi.pos rename h_phi.pos h_phi%%I.pos
	ECHO Include "h_phi%%I.pos"; >> h_phi.lst
	
	If EXIST phi%%I.pos del phi%%I.pos
	If EXIST phi.pos rename phi.pos phi%%I.pos
	ECHO Include "phi%%I.pos"; >> phi.lst
)

If EXIST phi_pst.geo del phi_pst.geo
COPY phi.lst+phi.pst phi_pst.geo /B

ECHO.
ECHO Gmsh is Opening for PostProcessing. Please Wait.

gmsh phi_pst.geo
